Debian Bug report logs - #452448
Versioning of udev.

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Anton Lundin <glance@acc.umu.se>

Date: Thu, 22 Nov 2007 22:36:06 UTC

Severity: wishlist

Found in version 1.110.7~20071118.171728

Fixed in version live-initramfs/1.118.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#452448; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Anton Lundin <glance@acc.umu.se>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anton Lundin <glance@acc.umu.se>
To: submit@bugs.debian.org
Subject: Versioning of udev.
Date: Thu, 22 Nov 2007 23:35:16 +0100
[Message part 1 (text/plain, inline)]
Package: live-initramfs
severity: wishlist
Version: 1.110.7~20071118.171728

This package uses udev in the initramfs but doesn't depend on it. And if
you have a old version of udev it fails. This patch adds support for one
old udev version and some detection on witch to use.


-- 
Anton Lundin	+46702-161604
[live.udev.patch (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#452448; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 452448@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Anton Lundin <glance@acc.umu.se>, 452448@bugs.debian.org
Subject: Re: Bug#452448: Versioning of udev.
Date: Thu, 22 Nov 2007 23:48:38 +0100
Anton Lundin wrote:
> This package uses udev in the initramfs but doesn't depend on it.

it does, through initramfs-tools.

however, making direct depends visible in Depends: is nice, so i'll add it.

> And if
> you have a old version of udev it fails. This patch adds support for one
> old udev version and some detection on witch to use.

what do you mean by 'old'? older than etch?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Anton Lundin <glance@acc.umu.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 452448-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 452448-close@bugs.debian.org
Subject: Bug#452448: fixed in live-initramfs 1.118.1-1
Date: Tue, 26 Feb 2008 17:47:04 +0000
Source: live-initramfs
Source-Version: 1.118.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.118.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.118.1-1.diff.gz
live-initramfs_1.118.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.118.1-1.dsc
live-initramfs_1.118.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.118.1-1_all.deb
live-initramfs_1.118.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.118.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 26 Feb 2008 13:35:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.118.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 452448
Changes: 
 live-initramfs (1.118.1-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * New upstream release.
   * Adding direct depends to udev, thanks to Anton Lundin
     <glance@acc.umu.se> (Closes: #452448).
   * Merging casper 1.111.
   * Bumping version to 1.110.1-1.
   * Merging casper 1.112.
   * Merging casper 1.113.
   * Adjusting to live-initramfs.
   * Bumping version to 1.113.1-1.
   * Merging casper 1.114.
   * Merging casper 1.115.
   * Merging casper 1.116.
   * Merging casper 1.117.
   * Merging casper 1.118.
   * Bumping version to 1.118.1-1.
 .
   [ Otavio Salvador ]
   * debian: add mtd-tools as suggestion since it's required for jffs2
     support
   * hooks: include jffs2 kernel module on initramfs image
   * live-snapshot: add support to use jffs2 images
   * live: add support for jffs2 images and snapshots
   * live-helpers: add jffs2 as a valid image
   * live-snapshot.en.1: add ext3 and jffs2 images as valid options
Files: 
 aa3d7e33d01daf3066a2dfe82c3aac8a 902 misc optional live-initramfs_1.118.1-1.dsc
 3bfbfbe1e33b2ead98dc9a7f30e0f999 64345 misc optional live-initramfs_1.118.1.orig.tar.gz
 3bc9eca4048d2e6e633c6425a40b5828 5159 misc optional live-initramfs_1.118.1-1.diff.gz
 178eaabae33ed6de302004090441b486 65468 misc optional live-initramfs_1.118.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHxE1T+C5cwEsrK54RAqknAKCLtxd1AdOAiOdJaJTUrdunsT0lHwCfcsa2
KSXh5/uTBdAx1cbYfMes41U=
=2Xb+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Mar 2008 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:47:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.